<?php
/*
session_start();
if(!isset($_SESSION['user_vcrx_id']) || empty($_SESSION['user_vcrx_id']))
{
	die('1');
}
*/
if($_FILES['archivo']['type']!='text/xml')
{
	die('3');
}

$str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 
// ponemos en cero la variable $cad
$cad = ""; 
for($i=0;$i<4;$i++) 
{ 
	$cad .= substr($str,rand(0,62),1); 
} 
//asignamos el nombre del fichero a subir consistiendo en la fecha actual mas 4 caracteres aleatorios
$n_archivo='';
$n_archivo = '../../celec/'.date("Ymd") . $cad . '.xml';
//asignamos la ruta, nombre y extension al archivo a subir
//$n_archivo.='xml/'.$n_archivo ;
//$n_archivo.='.xml';


if(move_uploaded_file($_FILES['archivo']['tmp_name'], $n_archivo))
{		

	//echo $n_archivo;
	$factura= simplexml_load_file($n_archivo);
	$numeroAutorizacion='../../celec/'.$factura->numeroAutorizacion.'.xml';
	//echo $numeroAutorizacion;
	if(file_exists ( $numeroAutorizacion ))
	{
		unlink ( $numeroAutorizacion );
	}
	rename($n_archivo,$numeroAutorizacion);
	
	
	$lineas = file($numeroAutorizacion);
	$palabra="codigoPrincipal";    
    // Podemos mostrar / trabajar con todas las líneas:
    
	foreach($lineas as $linea){
		if (strstr($linea,$palabra)){echo "claveAcceso ++".$linea."++";}
	}

}
else
{
	echo '2';
}

?>


